Revision: 7100
Author: nogu.dev
Date: Wed May 18 04:39:13 2011
Log: * make-dist.sh
- Check if eb.conf exists.
http://code.google.com/p/uim/source/detail?r=7100
Modified:
/trunk/make-dist.sh
=======================================
--- /trunk/make-dist.sh Tue May 10 01:18:21 2011
+++ /trunk/make-dist.sh Wed May 18 04:39:13 2011
@@ -19,10 +19,27 @@
CONF_DEFAULT="$CONF_COMMON"
# --without-scim since it is broken
# --without-qt
-# FIXME: hardcoded --with-eb-conf
-CONF_FULL_WO_MAINT="$CONF_NOWERROR --enable-debug --enable-fep
--enable-emacs --enable-gnome-applet --enable-gnome3-applet
--enable-kde-applet --enable-kde4-applet --enable-pref --enable-dict
--enable-notify --with-anthy --with-canna --with-wnn --with-sj3 --with-mana
--with-prime --with-m17nlib --without-scim --with-gtk2 --with-gtk3
--without-qt --without-qt-immodule --enable-compat-scm --with-eb
--with-eb-conf=/etc/eb.conf --with-libedit --with-qt4 --with-qt4-immodule"
-CONF_FULL="$CONF_MAINT $CONF_FULL_WO_MAINT"
-
+
+EB_CONF="/etc/eb.conf"
+if test ! -f "$EB_CONF"; then
+ EB_CONF="/usr/lib64/eb.conf"
+fi
+if test ! -f "$EB_CONF"; then
+ EB_CONF="/usr/lib/eb.conf"
+fi
+if test ! -f "$EB_CONF"; then
+ EB_CONF="/usr/local/etc/eb.conf"
+fi
+if test ! -f "$EB_CONF"; then
+ EB_CONF="/usr/etc/eb.conf"
+fi
+if test ! -f "$EB_CONF"; then
+ echo eb.conf not found
+ exit 1
+fi
+
+CONF_FULL_WO_MAINT="$CONF_NOWERROR --enable-debug --enable-fep
--enable-emacs --enable-gnome-applet --enable-gnome3-applet
--enable-kde-applet --enable-kde4-applet --enable-pref --enable-dict
--enable-notify --with-anthy --with-canna --with-wnn --with-sj3 --with-mana
--with-prime --with-m17nlib --without-scim --with-gtk2 --with-gtk3
--without-qt --without-qt-immodule --enable-compat-scm --with-eb
--with-eb-conf=$EB_CONF --with-libedit --with-qt4 --with-qt4-immodule"
+CONF_FULL="$CONF_MAINT $CONF_FULL_WO_MAINT"
svn export $SSCM_URL sigscheme
svn export $LIBGCROOTS_URL sigscheme/libgcroots